Page MenuHomePhabricator

Confusing abbreviation on Wikistats 2.0 Alpha
Closed, ResolvedPublic

Description

Wikistats 2.0 Alpha reports that English Wikipedia had 176g pageviews between January 2016 and November 2017. I think that 176g is unrealistically low.

For the same time period, Wikistats 2.0 Alpha reports that Afrikaans Wikipedia had 49m pageviews, which appears to be consistent with the information that is shown on https://stats.wikimedia.org/EN/TablesPageViewsMonthlyCombined.htm, unlike the information which Wikistats 2.0 Alpha reports for ENWP.

Event Timeline

Pine created this task.Jan 2 2018, 9:54 PM
Restricted Application added a project: Analytics. · View Herald TranscriptJan 2 2018, 9:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Pine updated the task description. (Show Details)Jan 2 2018, 9:57 PM

Hi!
Eyeballing at pageviews for ENWP over the past 2 years (2016 and 2017) in original wikistats and in wikistats v2 seems to be coherent: ~8g pageviews per month (8 billion, g standing for giga == billion). And 8 * 23 = 184g, which is not far from 176.
Can you tell us more precisely the discrepencies you saw in ENWP?
Thanks !

fdans closed this task as Invalid.Jan 4 2018, 6:00 PM
Pine added a comment.Jan 23 2018, 2:03 AM

Thanks for explaining that @JAllemandou, I was thinking that "g" == "grand".

Pine added a comment.EditedJan 23 2018, 2:04 AM

May I suggest replacing "g" with "b" for this usage? That would be more consistent with the use of "m" for "million", I think.

Pine renamed this task from Questionable metrics from Wikistats 2.0 Alpha to Confusing abbreviation on Wikistats 2.0 Alpha.Jan 23 2018, 2:05 AM
Pine reopened this task as Open.

I've renamed this task to reflect the nature of the problem and re-opened it.

@Pine: We have discusse this naming convention within the team a while ago, and decided to go for "g" instead of "b" for internationalization reasons.
"b" stands for billion, which is very Engish-centric. In French for instance, the word billion stands for a millionof millions (see https://en.wikipedia.org/wiki/Billion for more precision).
In order to mitigate this issue, we decided to pick the "prefix" of magnitude orders (see https://en.wikipedia.org/wiki/Order_of_magnitude#Uses), in which such a difference doesn't exist.

Pine added a comment.EditedJan 24 2018, 2:25 AM

@JAllemandou OK, but in the process of trying to internationalize the numbering system you confused this native English speaker. :) I request that this system of abbreviations be prominently displayed on any page in Wikistats 2.0 where it is used, with translations made available for every language in which Wikimedia wikis exist via a drop-down or other selection system.

Ping @Nemo_bis this issue will not be fixed until we have translations/localization.

Nuria added a comment.EditedFeb 5 2018, 5:42 PM

I think 1G = 1000 millions might be best UX compromise until we have internacionalization. Also 1e6 or 1e9 maybe?

Nuria moved this task from Incoming to Wikistats Production on the Analytics board.Feb 5 2018, 5:43 PM

@Pine - is this task still valid? I'm currently seeing 192B as the total page views for the 2 years span for Wikipedia - English.
@Nuria - Another possible solution can be to display a tool tip may be on mouse over on 1G/B (tooltip saying, 1G/B = 1000 millions). What do you think?

Nuria added a comment.Mar 31 2018, 9:07 PM

Closing, this has been since then resolved. Abrevviations like “G” have been removed in favor of abrevviations that go with the locale set on the browser. Not perfect but seems it is less confusing.

Nuria closed this task as Resolved.Mar 31 2018, 9:08 PM
Nuria claimed this task.